# Class AbstractMutableIndexFilter<E>

java.lang.Object
com.macrofocus.filter.AbstractFilter<E>
com.macrofocus.filter.AbstractMutableIndexFilter<E>

All Implemented Interfaces:
  `Filter<E>, MutableFilter<E>, MutableIndexFilter<E>`

Direct Known Subclasses:
  `SimpleIndexFilter`

public abstract class AbstractMutableIndexFilter<E> extends AbstractFilter<E> implements MutableIndexFilter<E>
Created by luc on 24.04.17.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `filteredCount`
  `protected Index<E>`
  `index`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractMutableIndexFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFilteredCount()`
  Returns the number of elements currently filtered.
  `boolean`
  `isActive()`
  Indicates whether at least one element is currently filtered.
  `void`
  `setIndex(Index<E> index, Iterable<E> filtered, Iterable<E> unfiltered, int filteredCount)`

  ### Methods inherited from class AbstractFilter

  `addFilterListener, addWeakFilterListener, isEnabled, notifyFilteredChanged, removeFilterListener, removeFilterListeners, setEnabled`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Filter

  `addFilterListener, addWeakFilterListener, isEnabled, isFiltered, isFilteredBy, removeFilterListener, removeFilterListeners`

  ### Methods inherited from interface MutableFilter

  `clearFilter, clearFilterBy, setEnabled, setFiltered, setFilteredIterable, setFilteredState`

  ### Methods inherited from interface MutableIndexFilter

  `getInputFilter`

- ## Field Details

  - ### filteredCount

    public int filteredCount

  - ### index

    protected Index<E> index

- ## Constructor Details

  - ### AbstractMutableIndexFilter

    public AbstractMutableIndexFilter()

- ## Method Details

  - ### isActive

    public boolean isActive()
    Description copied from interface: `Filter`
    Indicates whether at least one element is currently filtered.
    Specified by:
      `isActive` in interface `Filter<E>`
    Returns:
      true if at least one element is filtered, false otherwise.

  - ### getFilteredCount

    public int getFilteredCount()
    Description copied from interface: `Filter`
    Returns the number of elements currently filtered.
    Specified by:
      `getFilteredCount` in interface `Filter<E>`
    Returns:
      the number of filtered elements.

  - ### setIndex

    public void setIndex(Index<E> index, Iterable<E> filtered, Iterable<E> unfiltered, int filteredCount)
    Specified by:
      `setIndex` in interface `MutableIndexFilter<E>`